Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.server.core
Interface IEnterpriseApplication

    public interface IEnterpriseApplication

A representation of a J2EE enterprise application (EAR file).

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Method Summary
`IModule[]` | `getModules()` Returns the modules contained within this EAR.
`IContainer[]` | `getResourceFolders()` Returns the root folders for the resources in this module.
`java.lang.String` | `getURI(IModule module)` Returns the URI of the given module within this enterprise application.

Method Detail

### getModules

    IModule[] getModules()

  Returns the modules contained within this EAR. The returned modules will either be J2EE modules (which will be adaptable to IJ2EEModule) or utility jars contained in the EAR.

  Returns:
    a possibly empty array of modules contained within this application

### getURI

    java.lang.String getURI(IModule module)

  Returns the URI of the given module within this enterprise application.

  Parameters:
    `module` - a module within this application
  Returns:
    the URI of the given module, or `null` if the URI could not be found

### getResourceFolders

    IContainer[] getResourceFolders()

  Returns the root folders for the resources in this module.

  Returns:
    a possibly-empty array of resource folders

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD